Page MenuHomePhabricator

Feature switch for using subscription mechanism for change propagation.
Closed, InvalidPublic

Description

Change subscriptions should have *separate* feature switches for

  • tracking subscriptions and
  • using subscriptions for change propagation.

The "useLegacyChangesSubscription" switch is used to enable subscription tracking on the client. On the repo, this only indicates the presence of the wb_changes_subscription table. Another switch should control whether the dispatchChanges script will use sitelinks (wb_items_per_site) or the new subscription table for dispatching.

The idea is that we want to enable tracking first, so we can eyeball the database before starting to use the subscription data for change propagation.

Related Objects

Event Timeline

daniel created this task.Feb 3 2015, 1:51 PM
daniel raised the priority of this task from to Needs Triage.
daniel updated the task description. (Show Details)
daniel added a subscriber: daniel.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptFeb 3 2015, 1:51 PM
daniel triaged this task as Normal priority.Feb 3 2015, 1:51 PM
daniel claimed this task.Feb 9 2015, 4:26 PM
daniel moved this task from Backlog to Doing on the § Wikidata-Sprint-2015-02-03 board.
daniel updated the task description. (Show Details)Feb 9 2015, 4:32 PM
daniel set Security to None.

I propose to drop this from the sprint, since we do not yet have code that uses the new subscription table for dispatching. The new feature switch should be implemented along with the new feature, see T66590.

daniel removed daniel as the assignee of this task.EditedFeb 23 2015, 10:55 AM

unassigning, pushed back.

Lydia_Pintscher closed this task as Invalid.Apr 23 2017, 3:44 PM
Restricted Application removed a subscriber: Liuxinyu970226. · View Herald TranscriptApr 23 2017, 3:44 PM